@use '/src/mainColor' as *;

.light-mode {
  .table {
    --table-color: black;
    --table-box-shadow: 0 .5em 1em #{mainColor(85%, .5)};
    --table-border: 1px solid #{mainColor(90%)};
    --body-tr-back: #{mainColor(98%)};
    --head-tr-back: #{mainColor(96%)};
    --head-tr-shadow: 0 .25em .5em #{mainColor(40%, .15)};
    --body-tr-hover-filter: brightness(.95);
    --body-td-border: 1px solid #{mainColor(96%)};
    --body-td-border-2: 1px solid #{mainColor(88%)};
    
    tbody td.colored {
      --td-colored-back: hsl(var(--main-hs), 70%);
      --td-colored-filter: contrast(1.8) !important;
    }
  }
}
.dark-mode {
  .table {
    --table-color: #{mainColor(90%)};
    --table-box-shadow: 0 .5em 1em #{mainColor(10%, .5)};
    --table-border: 1px solid #{mainColor(10%)};
    --body-tr-back: #{mainColor(15%)};
    --head-tr-back: #{mainColor(17%)};
    --head-tr-shadow: 0 .25em .5em #{mainColor(10%, .5)};
    --body-tr-hover-filter: brightness(1.2);
    --body-td-border: 1px solid #{mainColor(14%)};
    --body-td-border-2: 1px solid #{mainColor(8%)};

    tbody td.colored {
      --td-colored-back: hsl(var(--main-hs), 44%);
      --td-colored-filter: none;
    }
  }
}

.table-switch {
  display: flex;
  justify-content: center;
}

.table {
  z-index: 0;
  margin: 1em auto;
  margin-bottom: 0;
  color: var(--table-color);
  text-align: center;
  width: 95vw;
  border-spacing: 0 0px;
  box-shadow: var(--table-box-shadow);
  border: var(--table-border);
  --tr-br: .1em;
  --t-br: .5em;
  border-radius: var(--t-br);

  tr {
    :first-child {
      border-radius: 0 var(--tr-br) var(--tr-br) 0;
    }
    :last-child {
      border-radius: var(--tr-br) 0 0 var(--tr-br);
    }
  }
  
  td {
    padding: 1em;

    &.colored {
      border: none;
      background: var(--td-colored-back);
      filter: var(--td-colored-filter);
    }
  }

  thead {
    tr {
      position: sticky;
      top: 0;
      z-index: 1;
      border-radius: var(--t-br) var(--t-br) 0 0;
      background: var(--head-tr-back);
      box-shadow: var(--head-tr-shadow);

      &:first-child :first-child {
        border-radius: 0 var(--t-br) 0 0;
      }
      &:first-child :last-child {
        border-radius: var(--t-br) 0 0 0;
      }
    }
    td {
      font-weight: bold;
    }
  }

  tbody {
    tr {
      background: var(--body-tr-back);

      td {
        border: var(--body-td-border);
        border-bottom: var(--body-td-border-2);
      }

      &:last-child :first-child {
        border-radius: 0 0 var(--t-br) 0;
      }
      &:last-child :last-child {
        border-radius: 0 0 0 var(--t-br);
      }

      &.clickable {
        transition: transform .5s var(--cubik), filter .2s var(--cubik);
      }
      
      &.clickable:hover, &.clickable:focus {
        outline: none;
        cursor: pointer;
        transform: scale(1.02);
        filter: var(--body-tr-hover-filter);
      }   
    }
  }
}

